import { BigNumber, providers } from 'ethers';
import type { ApprovalFlowState } from './approval-flow.machine';
import { ApprovalPermit } from './utils';
export declare function allowStepStatusSelector(state: ApprovalFlowState): 'success' | 'loading' | 'error' | undefined;
export declare function spenderSelector(state: ApprovalFlowState): string;
export declare function allowedAmountSelector(state: ApprovalFlowState): BigNumber;
export declare function allowedPermitAmountSelector(state: ApprovalFlowState): BigNumber;
export declare function approvalTxResponseSelector(state: ApprovalFlowState): providers.TransactionResponse;
export declare function approvalTxReceiptSelector(state: ApprovalFlowState): providers.TransactionReceipt;
export declare function activeStepSelector(state: ApprovalFlowState, amount: BigNumber, usePermitApproval: boolean): 'allow' | 'action';
export declare function approvalPermitSelector(state: ApprovalFlowState): ApprovalPermit | undefined;
